<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

$config['php_openid_path'] = APPPATH . '/includes/php-openid-master';

/*
|-------------------------------------------------------------------------
| Default OpenID Provider
|-------------------------------------------------------------------------
*/
$config['openid_provider'] = 'google_openid';

/*
|-------------------------------------------------------------------------
| OpenID for Google Accounts
|-------------------------------------------------------------------------
*/
$config['google_openid']['openid_identifier']     = 'https://www.google.com/accounts/o8/id';
$config['google_openid']['openid_form_id']        = 'openid_message';
$config['google_openid']['openid_realm']          = '/openid/google/';
$config['google_openid']['openid_return_to']      = '/openid/google/return_to/';
$config['google_openid']['openid_filestore_path'] = '/tmp/openid';
$config['google_openid']['openid_assoc_type']     = NULL;

/*
|-------------------------------------------------------------------------
| OpenID for Yahoo
|-------------------------------------------------------------------------
*/
$config['yahoo_openid']['openid_identifier']       = 'http://me.yahoo.co.jp/';
$config['yahoo_openid']['openid_form_id']        = 'openid_message';
$config['yahoo_openid']['openid_realm']          = '/openid/yahoo/';
$config['yahoo_openid']['openid_return_to']      = '/openid/yahoo/return_to/';
$config['yahoo_openid']['openid_filestore_path'] = '/tmp/openid';
$config['yahoo_openid']['openid_assoc_type']     = array('HMAC-SHA256', 'DH-SHA256');
$config['yahoo_openid']['openid_xrds']           = '/openid/yahoo/xrds/';

/*
|-------------------------------------------------------------------------
| AU ID for au
|-------------------------------------------------------------------------
*/
$config['au_openid']['openid_identifier']     = 'https://connect.auone.jp/net/id/hny_rt_net/cca?ID=auOneIDCoop';
//$config['au_openid']['openid_identifier']     = 'https://st.connect.auone.jp/net/id/hny_rt_net/cca?ID=auOneIDCoop'; // for staging
$config['au_openid']['openid_form_id']        = 'openid_message';
$config['au_openid']['openid_realm']          = '/';
$config['au_openid']['openid_return_to']      = '/openid/au/return_to/';
$config['au_openid']['openid_filestore_path'] = '/tmp/openid';
$config['au_openid']['openid_assoc_type']     = NULL;

/*
|-------------------------------------------------------------------------
| OpenID for docomo
|-------------------------------------------------------------------------
*/
$config['docomo_openid']['openid_identifier']     = 'https://i.mydocomo.com';
$config['docomo_openid']['openid_form_id']        = 'openidparam';
$config['docomo_openid']['openid_realm']          = '/openid/docomo/';
$config['docomo_openid']['openid_return_to']      = '/openid/docomo/return_to/';
$config['docomo_openid']['openid_filestore_path'] = '/tmp/openid';
$config['docomo_openid']['openid_assoc_type']     = array('HMAC-SHA256', 'DH-SHA256');
$config['docomo_openid']['openid_xrds']           = '/openid/docomo/xrds/';

/*
|-------------------------------------------------------------------------
| OpenID for Softbank
|-------------------------------------------------------------------------
    [config/routes.php]
    $route['sb/:num'] = "index";
    $route['sb/:num/(:any)'] = "$1";
*/
$config['softbank_001_openid']['openid_identifier']     = 'https://id.my.softbank.jp/';
$config['softbank_001_openid']['openid_form_id']        = 'openidparam';
$config['softbank_001_openid']['openid_realm']          = '/sb/001/';
$config['softbank_001_openid']['openid_return_to']      = '/sb/001/openid/softbank/return_to/';
$config['softbank_001_openid']['openid_filestore_path'] = '/tmp/openid';
$config['softbank_001_openid']['openid_assoc_type']     = TRUE;
$config['softbank_001_openid']['openid_xrds']           = '/openid/softbank/xrds/';

$config['softbank_002_openid']['openid_identifier']     = 'https://id.my.softbank.jp/';
$config['softbank_002_openid']['openid_form_id']        = 'openidparam';
$config['softbank_002_openid']['openid_realm']          = '/sb/002/';
$config['softbank_002_openid']['openid_return_to']      = '/sb/002/openid/softbank/return_to/';
$config['softbank_002_openid']['openid_filestore_path'] = '/tmp/openid';
$config['softbank_002_openid']['openid_assoc_type']     = TRUE;
$config['softbank_002_openid']['openid_xrds']           = '/openid/softbank/xrds/';

/*
|-------------------------------------------------------------------------
| OpenID for Hatena
|-------------------------------------------------------------------------
*/
$config['hatena_openid']['openid_identifier']     = 'http://www.hatena.ne.jp/hatena/';
$config['hatena_openid']['openid_form_id']        = 'openid_message';
$config['hatena_openid']['openid_realm']          = '/openid/';
$config['hatena_openid']['openid_return_to']      = '/openid/hatena/return_to/';
$config['hatena_openid']['openid_filestore_path'] = '/tmp/openid';
$config['hatena_openid']['openid_assoc_type']     = NULL;

/*
|-------------------------------------------------------------------------
| OpenID for mixi
|-------------------------------------------------------------------------
*/
$config['mixi_openid']['openid_identifier']     = 'https://mixi.jp';
$config['mixi_openid']['openid_form_id']        = 'openid_message';
$config['mixi_openid']['openid_realm']          = '/openid/';
$config['mixi_openid']['openid_return_to']      = '/openid/mixi/return_to/';
$config['mixi_openid']['openid_filestore_path'] = '/tmp/openid';
$config['mixi_openid']['openid_assoc_type']     = NULL;

/*
|-------------------------------------------------------------------------
| OpenID for livedoor
|-------------------------------------------------------------------------
*/
$config['livedoor_openid']['openid_identifier']     = 'http://livedoor.com/';
$config['livedoor_openid']['openid_form_id']        = 'openid_message';
$config['livedoor_openid']['openid_realm']          = '/openid/';
$config['livedoor_openid']['openid_return_to']      = '/openid/livedoor/return_to/';
$config['livedoor_openid']['openid_filestore_path'] = '/tmp/openid';
$config['livedoor_openid']['openid_assoc_type']     = NULL;

/*
|-------------------------------------------------------------------------
| OpenID for BIGLOBE
|-------------------------------------------------------------------------
*/
$config['biglobe_openid']['openid_identifier']     = 'http://biglobe.ne.jp/';
$config['biglobe_openid']['openid_form_id']        = 'openid_message';
$config['biglobe_openid']['openid_realm']          = '/openid/';
$config['biglobe_openid']['openid_return_to']      = '/openid/biglobe/return_to/';
$config['biglobe_openid']['openid_filestore_path'] = '/tmp/openid';
$config['biglobe_openid']['openid_assoc_type']     = NULL;

/*
|-------------------------------------------------------------------------
| OpenID for Facebook
|-------------------------------------------------------------------------
*/
$config['facebook_openid']['openid_identifier']     = 'http://facebook-openid.appspot.com/';
$config['facebook_openid']['openid_form_id']        = 'openid_message';
$config['facebook_openid']['openid_realm']          = '/openid/';
$config['facebook_openid']['openid_return_to']      = '/openid/facebook/return_to/';
$config['facebook_openid']['openid_filestore_path'] = '/tmp/openid';
$config['facebook_openid']['openid_assoc_type']     = NULL;

