<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * CodeIgniter
 *
 * An open source application development framework for PHP 5.1.6 or newer
 *
 * @package     CI-GUIDE.INFO
 * @author      ci-guide.info Dev Team
 * @copyright   Copyright (c) 2012, www.ci-guide.info
 * @license     http://codeigniter.com/user_guide/license.html
 * @link        http://www.ci-guide.info
 * @since       Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * Override Auth_Yadis_PHPSession
 *
 * @package     CI-GUIDE.INFO
 * @subpackage  Libraries
 * @category    Libraries
 * @author      ci-guide.info Dev Team
 * @link        http://www.ci-guide.info/hack/openid/
 * @see         openid/Auth/Yadis/Manager.php - Auth_Yadis_PHPSession
 */

class CIG_PHPSession extends Auth_Yadis_PHPSession {

    private $session;

    public function __construct($session)
    {
        $this->session = $session;
    }

    public function set($name, $value)
    {
        $this->session->set_userdata($name, $value);
    }

    public function get($name, $default=null)
    {
        if ($val = $this->session->userdata($name)) {
            return $val;
        }
        else {
            return $default;
        }
    }

    public function del($name)
    {
        $this->session->unset_userdata($name);
    }

    public function contents()
    {
        return $this->session->all_userdata();
    }
}


// END CIG_phpsession class

/* End of file Cig_openid.php */
/* Location: ./application/third_party/ci-guide.info/libraries/Cig_phpsession.php */
