<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Cig_Sample_Openid extends My_Controller {

    protected $provider;

    /**
     * Constructor
     * @return void
     */
    public function __construct()
    {
        parent::__construct();

        ini_set('display_errors', 'stdout');

        $this->load->helper('url');
        $this->load->add_package_path(APPPATH.'third_party/ci-guide.info/');
        $this->config->load('cig_openid');

        $this->load->library('cig_openid');

        $this->provider = $this->router->fetch_class();
        log_message('debug', 'OpenID Provider: ' . $this->provider);
        log_message('debug', 'Action: ' . $this->router->fetch_method() . '() run. ==================');
    }

	public function index()
	{
        if ($this->cig_openid->set_provider($this->provider . '_openid')) {
            $this->cig_openid->set_xrds_location();
        }
    }

    public function auth()
    {
        if ($this->cig_openid->set_provider($this->provider . '_openid')) {

            if ($html = $this->cig_openid->try_auth()) {
                //log_message('debug', "\n" . $html);
                $this->output->set_output($html);
                return TRUE;
            }

        }

        $this->output->set_output("auth Error.");
    }

    public function return_to()
    {
        if ($this->cig_openid->set_provider($this->provider . '_openid')) {

            if ($openid = $this->cig_openid->finish_auth()) {
                $html = '<html>'
                    . '<head><title>OpenID Test</title></head>'
                    . '<body>Your OpenID =&gt; <b>'.$openid.'</b></body>'
                    . '</html>';
                $this->output->set_output($html);
                return TRUE;
            }
        }

        $this->output->set_output("return_to Error.");
    }

    public function xrds()
    {
        if ($this->cig_openid->set_provider($this->provider . '_openid')) {
            $this->cig_openid->xrds();
        }
    }
    
}

